Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.gennia.ai/public/api/v1/agents/{agentPublicId}/prompt \ --header 'X-Api-Key: <api-key>'
{ "dynamicPromptEnabled": true, "systemPrompt": "<string>", "variables": [ { "booleanTextWhenFalse": "<string>", "booleanTextWhenTrue": "<string>", "createdAt": "2023-11-07T05:31:56Z", "defaultValue": {}, "description": "<string>", "label": "<string>", "multiChoiceSeparator": "<string>", "name": "<string>", "options": [ { "injectedText": "<string>", "label": "<string>", "publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "sortOrder": 123 } ], "publicId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "required": true, "sortOrder": 123, "updatedAt": "2023-11-07T05:31:56Z" } ] }
OK
Aggregated prompt context (systemPrompt + dynamicPromptEnabled + variables).
Dynamic-prompt variables on this agent. Full CRUD lives at /variables.
Show child attributes
Esta página foi útil?